Subject: w3m: segfault while visiting debianpages

From: Simon Danner <[email-masked]>
Date: Fri, 12 Jun 2009 21:01:41 +0200

Package: w3m
Version: 0.5.2-2+b1
Severity: normal

Invoke w3m with w3m lists.debian.org, go to the developers-section
when that page is loaded, search for release and move the cursor
one line down. For me w3m segfaults everytime.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.29-2-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages w3m depends on:
ii  libc6                  2.9-13            GNU C Library: Shared libraries
ii  libgc1c2               1:6.8-1.2         conservative garbage collector for
ii  libgpm2                1.20.4-3.2        General Purpose Mouse - shared lib
ii  libncurses5            5.7+20090523-1    shared libraries for terminal hand
ii  libssl0.9.8            0.9.8k-2          SSL shared libraries
ii  zlib1g                 1:1.2.3.3.dfsg-13 compression library - runtime

Versions of packages w3m recommends:
ii  ca-certificates               20081127   Common CA certificates

Versions of packages w3m suggests:
ii  man-db                        2.5.5-2    on-line manual pager
ii  menu                          2.1.41     generates programs menu for all me
pn  migemo                        <none>     (no description available)
ii  mime-support                  3.44-1     MIME files 'mime.types' & 'mailcap
pn  w3m-el                        <none>     (no description available)
ii  w3m-img                       0.5.2-2+b1 inline image extension support uti

-- no debconf information